# Autodesk Standard Surface

<p align="center">
    <img src="images/title.jpg" width="70%" title="Autodesk logo"/>
    <br/>
    <img src="images/autodesk-logo.svg" width="20%" title="Autodesk logo"/>
</p>

<br/>

A white paper specifying an uber surface shader that aims to provide a material representation capable of accurately modeling the vast majority of materials used in practical visual effects and feature animation productions. It follows the design of the Standard Surface shader in the Arnold renderer, whose implementation is relatively uncomplicated and whose user interface consists of a small set of parameters with intuitive meanings and ranges. The white paper is versioned and will be updated as the specification evolves.


### Resources

* **[White paper](https://autodesk.github.io/standard-surface/)** – typeset in [Markdeep](https://casual-effects.com/markdeep/), mobile and print friendly
* **[Reference implementation](reference/standard_surface.osl)** – written in [OSL](https://github.com/imageworks/OpenShadingLanguage), work in progress

### Discussion
* **[GitHub issues](https://github.com/Autodesk/standard-surface/issues)**
* **[Google group](https://groups.google.com/a/arnoldrenderer.com/forum/#!forum/standard.surface)**

<br/>

[![License: CC BY-SA 4.0](https://img.shields.io/badge/License-Apache%202.0-informational.svg)](LICENSE.txt)
